<div class="container">
  <mat-toolbar>
      <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">CONVERSACION</div> 
      <div class="example-spacer"></div>
  </mat-toolbar>
  <!-- Especificamos que se note la tabla si es mayor a 0 si no que no se vea -->
  <div *ngIf="listConversacion.length > 0">
      <div class="Tablas"> 
          <div class="mat-elevation-z8">
              <table mat-table [dataSource]="dataSource" class="mat-elevation-z21"  id="tabla">

                <!-- Columna de nombre -->
                <ng-container matColumnDef="fecha">
                  <th mat-cell *matHeaderCellDef> Fecha </th>
                  <td mat-cell *matCellDef="let element"> {{element.fecha}} </td>
                </ng-container>
              
                <!-- Columna de apellido -->
                <ng-container matColumnDef="usuario">
                  <th mat-cell *matHeaderCellDef> Usuario </th>
                  <td mat-cell *matCellDef="let element"> {{element.usuario}} </td>
                </ng-container>
              
                <!-- Columna de telefonos -->
                <ng-container matColumnDef="comentario">
                  <th mat-cell *matHeaderCellDef> Comentario </th>
                  <td mat-cell *matCellDef="let element"> {{element.comentario}} </td>
                </ng-container>
                 <!-- Libreria de angular que da colmuna ordena -->
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
          </div>
          <form id="limpiar" action="" onsubmit="capturar(event)">
            <input type="text" class="Comentar" placeholder="Deja tu comentario"  id="comentario" required>
            <input type="submit" class="Enviar" value="Enviar" >
          </form>
      </div>
    </div>
     <!-- Si la comluna esta vacia mostrar -->
    <h2 *ngIf="listConversacion.length == 0">No hay registro para mostrar en tabla</h2>
</div>